//
//  NSBundle+MTAdditions.m
//  scummvm
//
//  Created by ilya on 1/12/16.
//
//

#import "NSBundle+MTAdditions.h"
#import "GameInfo.h"

@implementation NSBundle (MTAdditions)

+(NSBundle *)currentGameBundle
{
    static NSBundle* bundle = nil;
    
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        NSString* bundleName = nil;
        if (CURRENT_GAME_TYPE == GAME_TYPE_IHNM)
        {
            bundleName = @"IHNM";
        }
        else if (CURRENT_GAME_TYPE == GAME_TYPE_FOTAQ)
        {
            bundleName = @"FOTAQ";
        }
        else if (CURRENT_GAME_TYPE == GAME_TYPE_SIMON1)
        {
            bundleName = @"Simon1";
        }
        else if (CURRENT_GAME_TYPE == GAME_TYPE_SIMON2)
        {
            bundleName = @"Simon2";
        }
        else if (CURRENT_GAME_TYPE == GAME_TYPE_T7G)
        {
            bundleName = @"T7G";
        }
        else if (CURRENT_GAME_TYPE == GAME_TYPE_TONYT)
        {
            bundleName = @"TonyT";
        }
        else if (CURRENT_GAME_TYPE == GAME_TYPE_ITE)
        {
            bundleName = @"ITE";
        }
        
        bundleName = [bundleName stringByAppendingString:@"_data_all"];
        
        NSURL* bundleURL = [[NSBundle mainBundle] URLForResource:bundleName withExtension:@"bundle"];
        
        bundle = [NSBundle bundleWithURL:bundleURL];
        
    });
    
    return bundle;
}


@end
